KVM_MKDB(8)

NAME
kvm_mkdb - create kernel database

SYNOPSIS
kvm_mkdb [file]

DESCRIPTION
kvm_mkdb creates a database, /var/db/kvm.db, containing information about the specified file. If no file is specified, /netbsd is used by default. The database will only be recreated if its contents do not already describe the running kernel.

Various library routines consult this database. The only information currently stored is the kernel namelist, which is used by the kvm_nlist(3) function. In the future, the database may contain other static information about the current system.

FILES
/netbsd
/var/db/kvm.db

SEE ALSO
kvm_nlist(3)

HISTORY
The kvm_mkdb utility first appeared in 4.4BSD.